/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
def consoleFilter = [com.ibm.edp.console.core.ConsoleConsts.CONSOLE_INTENT]
def batchFilter = [com.ibm.edp.console.core.ConsoleConsts.BATCH_INTENT]

intents = [com.ibm.edp.console.core.ConsoleConsts.CONSOLE_INTENT,
		   com.ibm.edp.console.core.ConsoleConsts.BATCH_INTENT
		  ]

activities = [ 
				activity(
					id:			com.ibm.edp.console.core.ConsoleConsts.CONSOLE_ACTIVITY,
					clazz:		'com.ibm.edp.console.core.internal.ConsoleAction',
					filters:	consoleFilter),
					
				activity(
					id:			com.ibm.edp.console.core.ConsoleConsts.BATCH_ACTIVITY,
					clazz:		'com.ibm.edp.console.core.internal.BatchAction',
					filters:	batchFilter) 					 
			 ]
					
views = [ 
			view(
				activityId:	com.ibm.edp.console.core.ConsoleConsts.CONSOLE_ACTIVITY,
				clazz:		'com.ibm.edp.console.core.ConsoleActionView',
				filters:	consoleFilter),
				
			view(
				activityId:	com.ibm.edp.console.core.ConsoleConsts.BATCH_ACTIVITY,
				clazz:		'com.ibm.edp.console.core.ConsoleActionView',
				filters:	batchFilter)				
		]

interpreters = [
					interpreter(
						id:			'system.console.interpreter',
						clazz:		'com.ibm.edp.console.core.internal.SystemConsoleInterpreter',
						trigger:	'java.lang.System',
						context:	['console']),
						
					interpreter(
						id:			'command.line.interpreter',
						clazz:		'com.ibm.edp.console.core.CommandLineInterpreter',
						trigger:	'com.ibm.edp.console.core.ConsoleApplicationContext',
						context:	['commandLine']),
						
					interpreter(
						id:			'batch.interpreter',
						clazz:		'com.ibm.edp.console.core.internal.BatchInterpreter',
						trigger:	'java.io.File',
						context:	['batch']),												
			   ]